[Qa-jenkins-scm] [jenkins.debian.net] 06/07: lvc: let the test VM run lvc jobs

Holger Levsen holger at layer-acht.org
Sun May 29 17:15:28 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit ed23d223ac0d20a24b73a2f508a3ac48c0ba4bd3
Author: Philip Hands <phil at hands.com>
Date:   Sun May 29 11:19:56 2016 +0200

    lvc: let the test VM run lvc jobs
---
 bin/jenkins_master_wrapper.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/bin/jenkins_master_wrapper.sh b/bin/jenkins_master_wrapper.sh
index de01b8c..82bb8a5 100755
--- a/bin/jenkins_master_wrapper.sh
+++ b/bin/jenkins_master_wrapper.sh
@@ -5,6 +5,13 @@ set -e
 
 # don't try to run on test system
 if [ "$HOSTNAME" = "jenkins-test-vm" ] ; then
+	case $JOB_NAME in
+		lvc_*)
+			exec /srv/jenkins/bin/lvc.sh "$@"
+		    echo "$(date -u) - running on $HOSTNAME, This should not happen."
+		    exit 1
+			;;
+	esac
 	echo "$(date -u) - running on $HOSTNAME, exiting successfully and cleanly immediatly."
 	exit 0
 fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list